gtksourceviewmm: Gsv Namespace Reference

gtksourceviewmm 3.91.1

Classes | Enumerations | Functions
Gsv Namespace Reference

## Classes
class | Buffer
| Buffer object for View. More...
class | Completion
| Main Completion Object. More...
class | CompletionContext
| CompletionContext. More...
class | CompletionInfo
| Calltips object. More...
class | CompletionItem
| CompletionItem. More...
class | CompletionProposal
| Completion proposal object. More...
class | CompletionProvider
| Completion provider interface. More...
class | CompletionWords
| Words completion provider. More...
class | Gutter
| Gutter object for View. More...
class | GutterRenderer
class | GutterRendererPixbuf
class | GutterRendererText
class | Language
| Object representing a syntax highlighted language. More...
class | LanguageManager
| Class which provides access to SourceLanguages. More...
class | Mark
| Mark class for Buffer. More...
class | MarkAttributes
class | Markup
| It is just a class holding markup string. More...
class | PrintCompositor
| Compose a Buffer for printing. More...
class | SearchContext
| Compose a Buffer for printing. More...
class | SearchSettings
| A GtkSourceSearchSettings object represents the settings of a search. More...
class | SourceCompletionError
class | Style
| Class representing a style. More...
class | StyleScheme
| Object controlling appearance of View. More...
class | StyleSchemeChooser
| GtkSourceStyleSchemeChooser is an interface that is implemented by widgets for choosing style schemes. More...
class | StyleSchemeChooserButton
| The GtkSourceStyleSchemeChooserButton is a button which displays the currently selected style scheme and allows to open a style scheme selection dialog to change the style scheme. More...
class | StyleSchemeChooserWidget
| The GtkSourceStyleSchemeChooserWidget widget lets the user select a style scheme. More...
class | StyleSchemeManager
| Class providing access to SourceStyleSchemes. More...
class | UndoManager
| Undo manager interface for View. More...
class | View
| The view object. More...

## Enumerations
enum | BracketMatchType { BRACKET_MATCH_NONE , BRACKET_MATCH_OUT_OF_RANGE , BRACKET_MATCH_NOT_FOUND , BRACKET_MATCH_FOUND }
enum | CompletionActivation { COMPLETION_ACTIVATION_NONE = 0x0 , COMPLETION_ACTIVATION_INTERACTIVE = 1 << 0 , COMPLETION_ACTIVATION_USER_REQUESTED = 1 << 1 }
enum | GutterRendererState { GUTTER_RENDERER_STATE_NORMAL = 0x0 , GUTTER_RENDERER_STATE_CURSOR = 1 << 0 , GUTTER_RENDERER_STATE_PRELIT = 1 << 1 , GUTTER_RENDERER_STATE_SELECTED = 1 << 2 }
enum | GutterRendererAlignmentMode { GUTTER_RENDERER_ALIGNMENT_MODE_CELL , GUTTER_RENDERER_ALIGNMENT_MODE_FIRST , GUTTER_RENDERER_ALIGNMENT_MODE_LAST }
| The alignment mode of the renderer, when a cell spans multiple lines (due to text wrapping). More...
enum | SmartHomeEndType { SMART_HOME_END_DISABLED , SMART_HOME_END_BEFORE , SMART_HOME_END_AFTER , SMART_HOME_END_ALWAYS }
enum | BackgroundPatternType { BACKGROUND_PATTERN_TYPE_NONE , BACKGROUND_PATTERN_TYPE_GRID }

## Functions
CompletionActivation | operator| (CompletionActivation lhs, CompletionActivation rhs)
CompletionActivation | operator& (CompletionActivation lhs, CompletionActivation rhs)
CompletionActivation | operator^ (CompletionActivation lhs, CompletionActivation rhs)
CompletionActivation | operator~ (CompletionActivation flags)
CompletionActivation& | operator|= (CompletionActivation& lhs, CompletionActivation rhs)
CompletionActivation& | operator&= (CompletionActivation& lhs, CompletionActivation rhs)
CompletionActivation& | operator^= (CompletionActivation& lhs, CompletionActivation rhs)
GutterRendererState | operator| (GutterRendererState lhs, GutterRendererState rhs)
GutterRendererState | operator& (GutterRendererState lhs, GutterRendererState rhs)
GutterRendererState | operator^ (GutterRendererState lhs, GutterRendererState rhs)
GutterRendererState | operator~ (GutterRendererState flags)
GutterRendererState& | operator|= (GutterRendererState& lhs, GutterRendererState rhs)
GutterRendererState& | operator&= (GutterRendererState& lhs, GutterRendererState rhs)
GutterRendererState& | operator^= (GutterRendererState& lhs, GutterRendererState rhs)
void | init ()
| Initializes all type internals.
Glib::RefPtr< Gsv::Buffer > | wrap (GtkSourceBuffer* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::Completion > | wrap (GtkSourceCompletion* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::CompletionContext > | wrap (GtkSourceCompletionContext* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Gsv::CompletionInfo* | wrap (GtkSourceCompletionInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::CompletionItem > | wrap (GtkSourceCompletionItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::CompletionProposal > | wrap (GtkSourceCompletionProposal* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::CompletionProvider > | wrap (GtkSourceCompletionProvider* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::CompletionWords > | wrap (GtkSourceCompletionWords* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::Gutter > | wrap (GtkSourceGutter* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Gsv::GutterRenderer* | wrap (GtkSourceGutterRenderer* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Gsv::GutterRendererPixbuf* | wrap (GtkSourceGutterRendererPixbuf* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Gsv::GutterRendererText* | wrap (GtkSourceGutterRendererText* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::Language > | wrap (GtkSourceLanguage* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::LanguageManager > | wrap (GtkSourceLanguageManager* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::Mark > | wrap (GtkSourceMark* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::MarkAttributes > | wrap (GtkSourceMarkAttributes* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::PrintCompositor > | wrap (GtkSourcePrintCompositor* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::SearchContext > | wrap (GtkSourceSearchContext* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::SearchSettings > | wrap (GtkSourceSearchSettings* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::Style > | wrap (GtkSourceStyle* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::StyleScheme > | wrap (GtkSourceStyleScheme* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::StyleSchemeManager > | wrap (GtkSourceStyleSchemeManager* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::StyleSchemeChooser > | wrap (GtkSourceStyleSchemeChooser* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Gsv::StyleSchemeChooserButton* | wrap (GtkSourceStyleStyleSchemeChooserButton* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Gsv::StyleSchemeChooserWidget* | wrap (GtkSourceStyleSchemeChooserWidget* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Gsv::UndoManager > | wrap (GtkSourceUndoManager* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Gsv::View* | wrap (GtkSourceView* object, bool take_copy=false)
| A Glib::wrap() method for this object.
bool | operator== (const Markup& lhs, const Markup& rhs)
| See Markup::equal()
bool | operator!= (const Markup& lhs, const Markup& rhs)
| See Markup::equal()

## Function Documentation

## ◆ init()

void Gsv::init | ( |  | ) |

Initializes all type internals.